Bug 991823 - RAID6/md1 is not visible during boot
RAID6/md1 is not visible during boot
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-04 12:19 EDT by maxim_d33
Modified: 2015-02-17 11:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:34:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dracut sosreport (91.33 KB, text/plain)
2013-08-04 12:20 EDT, maxim_d33
no flags Details

  None (edit)
Description maxim_d33 2013-08-04 12:19:13 EDT
Description of problem:
during usage of 
BOOT_IMAGE=/vmlinuz-3.10.4-300.fc19.x86_64 root=/dev/md1 ro rd.md=1 rd.dm=1 rd.auto=1 pci=nomsi,noaer LANG=en_US.UTF-8 console=tty0 rdshell

/dev/md1 usage end up with
[  194.232542] fed dracut-initqueue[248]: Warning: /dev/md1 does not exist


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
/dev/md1 should be available 

Additional info:
Comment 1 maxim_d33 2013-08-04 12:20:27 EDT
Created attachment 782556 [details]
dracut sosreport
Comment 2 Brian Lane 2013-08-05 12:32:27 EDT
You really shouldn't be using root=/dev/mdX since the numbering isn't guaranteed to be consistent. It should be root=UUID=....
Comment 3 maxim_d33 2013-08-05 15:01:17 EDT
>root=UUID

well, doesnt really help,yet:

from the running system:
 sudo blkid
/dev/sda1: PARTUUID="530c5792-1c24-4c8b-9c8e-cd64a91cfa80"
/dev/sda2: UUID="0ad90c64-651d-4b1b-afb7-ba26babdf3d0" TYPE="ext4" PARTUUID="78a72bb1-d8bc-4de7-b75e-b60a0e50ecc3"
/dev/sda3: UUID="zsFr7D-aD7a-qPrk-zIla-xHHK-lIe0-sSYydi" TYPE="LVM2_member" PARTUUID="080059c7-2d55-4b80-8c3b-db11bab2b547"
/dev/sda4: UUID="ac486e15-5b8f-e39c-5f76-96eac3640855" UUID_SUB="81f5bc5e-f390-8c42-8473-0146b2b4a7da" LABEL="localhost.localdomain:home" TYPE="linux_raid_member" PARTUUID="88229b93-4399-4451-8ea9-015de18fed07"
/dev/sdb1: UUID="0Vlzyq-Ztad-HBCZ-KEkU-0c8U-90ZQ-jxQmJY" TYPE="LVM2_member" PARTUUID="be8d84ef-731d-4386-9600-aab6a2b763da"
/dev/sdb2: UUID="ac486e15-5b8f-e39c-5f76-96eac3640855" UUID_SUB="fc7d0905-2f23-29d4-594c-385a447a7111" LABEL="localhost.localdomain:home" TYPE="linux_raid_member" PARTUUID="b2e09d47-773b-4845-a45c-4d6ed8b41085"
/dev/sdc1: UUID="zVR1oc-Npxv-oczb-B6AT-T40F-qDIg-1nKPr6" TYPE="LVM2_member" PARTUUID="fa6c5f08-3e01-4d8f-9296-3d2ddee50461"
/dev/sdc2: UUID="ac486e15-5b8f-e39c-5f76-96eac3640855" UUID_SUB="ae4ea898-a102-cbcc-ae8e-f2f02d2cceb4" LABEL="localhost.localdomain:home" TYPE="linux_raid_member" PARTUUID="4bdf2d65-ca99-46a3-9efe-b9ae542fb92b"
/dev/sdd1: UUID="TE404h-FmXW-27Zr-Ck67-xC4t-JEfe-TtS00Q" TYPE="LVM2_member" PARTUUID="50044530-cfbf-43b6-afc3-2a7fc8e7f4d1"
/dev/sdd2: UUID="ac486e15-5b8f-e39c-5f76-96eac3640855" UUID_SUB="817486f1-fd57-5620-4134-9efdd1a44917" LABEL="localhost.localdomain:home" TYPE="linux_raid_member" PARTUUID="92fe122c-de59-4647-82ea-8f68c94c7503"
/dev/sde1: UUID="owfrIG-Brqo-zvOa-G3Pl-p6RU-KKfL-pOCgnQ" TYPE="LVM2_member" PARTUUID="d527d225-4063-4d14-b964-e3fc0a20748d"
/dev/sde2: UUID="ac486e15-5b8f-e39c-5f76-96eac3640855" UUID_SUB="323b27c7-c6bb-e332-9e6a-410295ee9ea2" LABEL="localhost.localdomain:home" TYPE="linux_raid_member" PARTUUID="99fc9e28-c38f-48a8-b769-218a1e3cfe14"
/dev/mapper/fedora_linux-swap: UUID="e8acb60c-2963-4805-b4e7-cc3c9eac7d1a" TYPE="swap"
/dev/mapper/fedora_linux-root: UUID="f11fbc7d-eb99-4d28-b3ce-ca50c602987c" TYPE="ext4"
/dev/md1: UUID="735b04e6-1a8c-46bd-8afb-ea1952e4a578" TYPE="ext4"


now if to try to boot from 
menuentry 'Fedora (3.10.4-300.fc19.x86_64) 19 (Schr?dinger’s Cat)' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-simple-f11fbc7d-eb99-4d28-b3ce-ca50c602987c' {
	load_video
	set gfxpayload=keep
	insmod gzio
	insmod part_gpt
	insmod ext2
	insmod mdraid1x
	set root='hd0,gpt2'
	if [ x$feature_platform_search_hint = xy ]; then
	  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,gpt2 --hint-efi=hd0,gpt2 --hint-baremetal=ahci0,gpt2 --hint='hd0,gpt2'  0ad90c64-651d-4b1b-afb7-ba26babdf3d0
	else
	  search --no-floppy --fs-uuid --set=root 0ad90c64-651d-4b1b-afb7-ba26babdf3d0
	fi
	echo 'Loading Fedora (3.10.4-300.fc19.x86_64) 19 (Schr?dinger’s Cat)'
	linux	/vmlinuz-3.10.4-300.fc19.x86_64 root=UUID=735b04e6-1a8c-46bd-8afb-ea1952e4a578 ro pci=nomsi,noaer LANG=en_US.UTF-8 console=tty0 rdshell 
	echo 'Loading initial ramdisk ...'
	initrd /initramfs-3.10.4-300.fc19.x86_64.img
}

sosreport contains:
+ blkid -o udev
ID_FS_UUID=0ad90c64-651d-4b1b-afb7-ba26babdf3d0
ID_FS_UUID_ENC=0ad90c64-651d-4b1b-afb7-ba26babdf3d0
ID_FS_TYPE=ext4
ID_FS_PARTUUID=78a72bb1-d8bc-4de7-b75e-b60a0e50ecc3

ID_FS_UUID=zsFr7D-aD7a-qPrk-zIla-xHHK-lIe0-sSYydi
ID_FS_UUID_ENC=zsFr7D-aD7a-qPrk-zIla-xHHK-lIe0-sSYydi
ID_FS_TYPE=LVM2_member
ID_FS_PARTUUID=080059c7-2d55-4b80-8c3b-db11bab2b547

ID_FS_UUID=ac486e15-5b8f-e39c-5f76-96eac3640855
ID_FS_UUID_ENC=ac486e15-5b8f-e39c-5f76-96eac3640855
ID_FS_UUID_SUB=81f5bc5e-f390-8c42-8473-0146b2b4a7da
ID_FS_UUID_SUB_ENC=81f5bc5e-f390-8c42-8473-0146b2b4a7da
ID_FS_LABEL=localhost.localdomain:home
ID_FS_LABEL_ENC=localhost.localdomain:home
ID_FS_TYPE=linux_raid_member
ID_FS_PARTUUID=88229b93-4399-4451-8ea9-015de18fed07

ID_FS_UUID=0Vlzyq-Ztad-HBCZ-KEkU-0c8U-90ZQ-jxQmJY
ID_FS_UUID_ENC=0Vlzyq-Ztad-HBCZ-KEkU-0c8U-90ZQ-jxQmJY
ID_FS_TYPE=LVM2_member
ID_FS_PARTUUID=be8d84ef-731d-4386-9600-aab6a2b763da

ID_FS_UUID=ac486e15-5b8f-e39c-5f76-96eac3640855
ID_FS_UUID_ENC=ac486e15-5b8f-e39c-5f76-96eac3640855
ID_FS_UUID_SUB=fc7d0905-2f23-29d4-594c-385a447a7111
ID_FS_UUID_SUB_ENC=fc7d0905-2f23-29d4-594c-385a447a7111
ID_FS_LABEL=localhost.localdomain:home
ID_FS_LABEL_ENC=localhost.localdomain:home
ID_FS_TYPE=linux_raid_member
ID_FS_PARTUUID=b2e09d47-773b-4845-a45c-4d6ed8b41085

ID_FS_UUID=zVR1oc-Npxv-oczb-B6AT-T40F-qDIg-1nKPr6
ID_FS_UUID_ENC=zVR1oc-Npxv-oczb-B6AT-T40F-qDIg-1nKPr6
ID_FS_TYPE=LVM2_member
ID_FS_PARTUUID=fa6c5f08-3e01-4d8f-9296-3d2ddee50461

ID_FS_UUID=ac486e15-5b8f-e39c-5f76-96eac3640855
ID_FS_UUID_ENC=ac486e15-5b8f-e39c-5f76-96eac3640855
ID_FS_UUID_SUB=ae4ea898-a102-cbcc-ae8e-f2f02d2cceb4
ID_FS_UUID_SUB_ENC=ae4ea898-a102-cbcc-ae8e-f2f02d2cceb4
ID_FS_LABEL=localhost.localdomain:home
ID_FS_LABEL_ENC=localhost.localdomain:home
ID_FS_TYPE=linux_raid_member
ID_FS_PARTUUID=4bdf2d65-ca99-46a3-9efe-b9ae542fb92b

ID_FS_UUID=TE404h-FmXW-27Zr-Ck67-xC4t-JEfe-TtS00Q
ID_FS_UUID_ENC=TE404h-FmXW-27Zr-Ck67-xC4t-JEfe-TtS00Q
ID_FS_TYPE=LVM2_member
ID_FS_PARTUUID=50044530-cfbf-43b6-afc3-2a7fc8e7f4d1

ID_FS_UUID=ac486e15-5b8f-e39c-5f76-96eac3640855
ID_FS_UUID_ENC=ac486e15-5b8f-e39c-5f76-96eac3640855
ID_FS_UUID_SUB=817486f1-fd57-5620-4134-9efdd1a44917
ID_FS_UUID_SUB_ENC=817486f1-fd57-5620-4134-9efdd1a44917
ID_FS_LABEL=localhost.localdomain:home
ID_FS_LABEL_ENC=localhost.localdomain:home
ID_FS_TYPE=linux_raid_member
ID_FS_PARTUUID=92fe122c-de59-4647-82ea-8f68c94c7503

ID_FS_UUID=owfrIG-Brqo-zvOa-G3Pl-p6RU-KKfL-pOCgnQ
ID_FS_UUID_ENC=owfrIG-Brqo-zvOa-G3Pl-p6RU-KKfL-pOCgnQ
ID_FS_TYPE=LVM2_member
ID_FS_PARTUUID=d527d225-4063-4d14-b964-e3fc0a20748d

ID_FS_UUID=ac486e15-5b8f-e39c-5f76-96eac3640855
ID_FS_UUID_ENC=ac486e15-5b8f-e39c-5f76-96eac3640855
ID_FS_UUID_SUB=323b27c7-c6bb-e332-9e6a-410295ee9ea2
ID_FS_UUID_SUB_ENC=323b27c7-c6bb-e332-9e6a-410295ee9ea2
ID_FS_LABEL=localhost.localdomain:home
ID_FS_LABEL_ENC=localhost.localdomain:home
ID_FS_TYPE=linux_raid_member
ID_FS_PARTUUID=99fc9e28-c38f-48a8-b769-218a1e3cfe14

ID_FS_UUID=e8acb60c-2963-4805-b4e7-cc3c9eac7d1a
ID_FS_UUID_ENC=e8acb60c-2963-4805-b4e7-cc3c9eac7d1a
ID_FS_TYPE=swap

ID_FS_UUID=f11fbc7d-eb99-4d28-b3ce-ca50c602987c
ID_FS_UUID_ENC=f11fbc7d-eb99-4d28-b3ce-ca50c602987c
ID_FS_TYPE=ext4

ID_FS_PARTUUID=530c5792-1c24-4c8b-9c8e-cd64a91cfa80

and more:

[  131.562075] fed dracut-initqueue[281]: ACTIVE '/dev/fedora_linux/swap' [7.81 GiB] inherit
[  131.562253] fed dracut-initqueue[281]: ACTIVE '/dev/fedora_linux/root' [20.39 GiB] inherit
[  131.564248] fed dracut-initqueue[281]: PARTIAL MODE. Incomplete logical volumes will be processed.
[  192.457259] fed dracut-initqueue[281]: Warning: Could not boot.
[  192.573028] fed dracut-initqueue[281]: Warning: /dev/disk/by-uuid/735b04e6-1a8c-46bd-8afb-ea1952e4a578 does not exist
Comment 4 Brian Lane 2013-08-05 16:31:17 EDT
Shouldn't that be the UUID for /dev/mapper/fedora_linux-root not for the raid.
Comment 5 maxim_d33 2013-08-05 17:17:56 EDT
(In reply to Brian C. Lane from comment #4)
> Shouldn't that be the UUID for /dev/mapper/fedora_linux-root not for the
> raid.

it should be raid/md1
as per subject: RAID6/md1 is not visible during boot

it used to be LVM/fedora_linux-root but needs to be switched to RAID/md
Comment 6 Fedora End Of Life 2015-01-09 14:16:55 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 11:34:12 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.